Skip to main content
`Ctrl`+`K`

# BVGetOrthogonalization

Gets the orthogonalization settings from the `BV` object.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetOrthogonalization(BV bv,BVOrthogType *type,BVOrthogRefineType *refine,PetscReal *eta,BVOrthogBlockType *block)

Not Collective

## Input Parameter

- bv - basis vectors context

## Output Parameters

- type - the method of vector orthogonalization

- refine - type of refinement

- eta - parameter for selective refinement

- block - the method of block orthogonalization

## See Also

BV: Basis Vectors, `BVOrthogonalizeColumn()`, `BVSetOrthogonalization()`, `BVOrthogType`, `BVOrthogRefineType`, `BVOrthogBlockType`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages